Bind delete query parameters

- « mysql_xdevapi\TableDelete

- TableDelete::__construct »

- PHP Manual
- mysql_xdevapi\TableDelete
- Bind delete query parameters

# TableDelete::bind

(No version information available, might only be in Git)

TableDelete::bind — Bind delete query parameters

### Description

public mysql_xdevapi\TableDelete::bind(array `$placeholder_values`): mysql_xdevapi\TableDelete

Binds a value to a specific placeholder.

### Parameters

`placeholder_values`

  The name of the placeholder and the value to bind.

### Return Values

A TableDelete object.

### Examples

Example #1 mysql_xdevapi\TableDelete::bind() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();
    $session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();
    $session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $table->delete()
      ->where("name = :name")
      ->bind(['name' => 'John'])
      ->orderby("age DESC")
      ->limit(1)
      ->execute();

    ?>